Page MenuHomePhabricator

MediaWiki\Session\PHPSessionHandler::open: Wrong instance called
Closed, DuplicatePublic

Description

https://travis-ci.org/wikimedia/mediawiki/jobs/389946994

6) MediaWiki\Session\PHPSessionHandlerTest::testSessionHandling with data set #2 ('php_serialize')
UnexpectedValueException: MediaWiki\Session\PHPSessionHandler::open: Wrong instance called!
/home/travis/build/wikimedia/mediawiki/includes/session/PHPSessionHandler.php:174
/home/travis/build/wikimedia/mediawiki/tests/phpunit/includes/session/PHPSessionHandlerTest.php:149
/home/travis/build/wikimedia/mediawiki/tests/phpunit/MediaWikiTestCase.php:420
/home/travis/build/wikimedia/mediawiki/maintenance/doMaintenance.php:94
7) MediaWiki\Session\SessionBackendTest::testTakeOverGlobalSession
UnexpectedValueException: MediaWiki\Session\PHPSessionHandler::open: Wrong instance called!
/home/travis/build/wikimedia/mediawiki/includes/session/PHPSessionHandler.php:174
/home/travis/build/wikimedia/mediawiki/vendor/wikimedia/at-ease/src/Wikimedia/Functions.php:71
/home/travis/build/wikimedia/mediawiki/includes/session/SessionBackend.php:767
/home/travis/build/wikimedia/mediawiki/vendor/wikimedia/testing-access-wrapper/src/TestingAccessWrapper.php:72
/home/travis/build/wikimedia/mediawiki/tests/phpunit/includes/session/SessionBackendTest.php:863
/home/travis/build/wikimedia/mediawiki/tests/phpunit/MediaWikiTestCase.php:420
/home/travis/build/wikimedia/mediawiki/maintenance/doMaintenance.php:94
8) MediaWiki\Session\SessionBackendTest::testResetIdOfGlobalSession
UnexpectedValueException: MediaWiki\Session\PHPSessionHandler::open: Wrong instance called!
/home/travis/build/wikimedia/mediawiki/includes/session/PHPSessionHandler.php:174
/home/travis/build/wikimedia/mediawiki/vendor/wikimedia/at-ease/src/Wikimedia/Functions.php:71
/home/travis/build/wikimedia/mediawiki/tests/phpunit/includes/session/SessionBackendTest.php:903
/home/travis/build/wikimedia/mediawiki/tests/phpunit/MediaWikiTestCase.php:420
/home/travis/build/wikimedia/mediawiki/maintenance/doMaintenance.php:94
9) MediaWiki\Session\SessionBackendTest::testUnpersistOfGlobalSession
UnexpectedValueException: MediaWiki\Session\PHPSessionHandler::open: Wrong instance called!
/home/travis/build/wikimedia/mediawiki/includes/session/PHPSessionHandler.php:174
/home/travis/build/wikimedia/mediawiki/vendor/wikimedia/at-ease/src/Wikimedia/Functions.php:71
/home/travis/build/wikimedia/mediawiki/tests/phpunit/includes/session/SessionBackendTest.php:941
/home/travis/build/wikimedia/mediawiki/tests/phpunit/MediaWikiTestCase.php:420
/home/travis/build/wikimedia/mediawiki/maintenance/doMaintenance.php:94
10) MediaWiki\Session\SessionManagerTest::testGetGlobalSession
UnexpectedValueException: MediaWiki\Session\PHPSessionHandler::open: Wrong instance called!
/home/travis/build/wikimedia/mediawiki/includes/session/PHPSessionHandler.php:174
/home/travis/build/wikimedia/mediawiki/vendor/wikimedia/at-ease/src/Wikimedia/Functions.php:71
/home/travis/build/wikimedia/mediawiki/includes/session/SessionBackend.php:767
/home/travis/build/wikimedia/mediawiki/includes/session/SessionBackend.php:690
/home/travis/build/wikimedia/mediawiki/includes/session/SessionBackend.php:596
/home/travis/build/wikimedia/mediawiki/vendor/wikimedia/scoped-callback/src/ScopedCallback.php:76
/home/travis/build/wikimedia/mediawiki/vendor/wikimedia/scoped-callback/src/ScopedCallback.php:56
/home/travis/build/wikimedia/mediawiki/includes/session/SessionManager.php:886
/home/travis/build/wikimedia/mediawiki/includes/session/SessionManager.php:196
/home/travis/build/wikimedia/mediawiki/includes/WebRequest.php:750
/home/travis/build/wikimedia/mediawiki/tests/phpunit/includes/session/SessionManagerTest.php:83
/home/travis/build/wikimedia/mediawiki/tests/phpunit/MediaWikiTestCase.php:420
/home/travis/build/wikimedia/mediawiki/maintenance/doMaintenance.php:94

Event Timeline

Reedy created this task.Jun 9 2018, 2:42 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 9 2018, 2:42 AM
Vvjjkkii renamed this task from MediaWiki\Session\PHPSessionHandler::open: Wrong instance called to vcbaaaaaaa.Jul 1 2018, 1:05 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot renamed this task from vcbaaaaaaa to MediaWiki\Session\PHPSessionHandler::open: Wrong instance called.Jul 2 2018, 3:03 PM
CommunityTechBot closed this task as a duplicate.
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added a subscriber: Aklapper.